/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "irrXML 1.2 API documentation", "index.html", [
      [ "Introduction", "index.html#intro", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "static lib", "install.html#assimp", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ],
      [ "How to access shader-code from a texture (AI_MATKEY_GLOBAL_SHADERLANG and AI_MATKEY_SHADER_VERTEX, ...)", "materials.html#shdacc", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"_assbin_loader_8cpp.html#a8926c2edfcda414037894c583701f84b",
"_c_make_c_compiler_id_8c.html#a81dee0709ded976b2e0319239f72d174",
"_exporter_8cpp.html#a017f1d2b68b9c935dd4148c3e9815305",
"_file_system_filter_8h.html#a2951d2325771445312e4d69c7ef03004",
"_i_f_c_reader_gen1__2x3_8cpp.html#a7121bb9e73d1f80ac44c6a8f4a55fc12",
"_i_f_c_reader_gen2__2x3_8cpp.html#a9193036b209138bc9bc2e149fa8692a3",
"_i_f_c_reader_gen__2x3_8h.html#a22e53a3851dbd98e73b5d2df1e5cead1",
"_i_f_c_reader_gen__2x3_8h.html#a6cad3d552d4e22dbc80fb5cace0d4a05",
"_i_f_c_reader_gen__2x3_8h.html#aac68cea381cbceded6f344e40628889d",
"_i_f_c_reader_gen__2x3_8h.html#aedc3cc994f77b776e97f1c30cf46892d",
"_i_f_c_reader_gen__4_8cpp.html#a50c753de7ba1f75971105f82f790528c",
"_i_f_c_reader_gen__4_8cpp.html#abd4f75fd1fa33986083d0acd456444f1",
"_i_f_c_reader_gen__4_8h.html#a1b0bb688b854b3a5f167fb882fc72082",
"_i_f_c_reader_gen__4_8h.html#a4e5cbca68033933a5e10989391625664",
"_i_f_c_reader_gen__4_8h.html#a87a3984ecbcb9007b3adb0fc7bd566b0",
"_i_f_c_reader_gen__4_8h.html#abc0a1458af1a2690c32d1c34b75bd709",
"_i_f_c_reader_gen__4_8h.html#af26806333460b53dd5f0d536849761ed",
"_l_w_o_animation_8h.html#ae88b90391a89cb0fc104f1f05b9e716ea7df8f56b4729bdcf6a00efacae15f21a",
"_m_d3_file_data_8h.html#aeb39df2b5bbb2c7dbef2e76f20fdf587",
"_mesh_renderer_8h.html",
"_ogre_xml_serializer_8cpp.html#a6eaa2f0c9480ecd2692efc5bb5872ddf",
"_ply_loader_8cpp.html#adfc089d3981e0aa52976593a41687283",
"_s_t_l_loader_8h.html",
"_step_file_gen2_8cpp.html#a6e146948b44302c02051528b65c0a6f8",
"_step_file_gen3_8cpp.html#a28441a0357a04c26a89211630327b70c",
"_step_file_gen3_8cpp.html#a963a9e56606d25b811b3eb143bebf5ef",
"_step_reader_gen_8h.html#a011d0846e92e2d446c01cc81d7103962",
"_step_reader_gen_8h.html#a32335f62eedce54066edf7002ae98ced",
"_step_reader_gen_8h.html#a64d817ece8c1ef4bdcac0ee4df53e0b0",
"_step_reader_gen_8h.html#a9a990c8764375bac4087bc3451ed1250",
"_step_reader_gen_8h.html#acf83102656c77467b5fbd68abbb985ac",
"_string_comparison_8h.html#a7514d483377cfe27236bed0eec511fbb",
"api_8d.html#a61ae379d4d7546884e27fc3d30c26e51",
"class3d__viewer_1_1_default_camera.html#afeaaba69a84395ee2300c080ed2cccbd",
"class_assimp_1_1_b_v_h_loader.html#a86beb3477762adc5af1bcbbc64bfbc3c",
"class_assimp_1_1_blender_b_mesh_converter.html#a093d132db2fddd52e9ab0b40d80075ce",
"class_assimp_1_1_collada_parser.html#a014c0ae203f22e25ef8bfdb063aa07d2",
"class_assimp_1_1_d3_m_f_1_1_d3_m_f_opc_package.html#a3edcd886320a474d8551f904e5e9d85f",
"class_assimp_1_1_f_b_x_1_1_camera.html#af5bcc329f5ab2169d700f120a867e6bf",
"class_assimp_1_1_f_b_x_1_1_material.html#aaa4e105f317420a13ada32ceb18bc7a8",
"class_assimp_1_1_find_degenerates_process.html#aa1e5545f95b141034bbd8a3d99df87a2",
"class_assimp_1_1_j_s_o_n_writer.html#a24fee3c729db7e4903a38b19f72ebd12",
"class_assimp_1_1_m_d_l_importer.html#a02b131e58eb34cde491791fe32b9be3a",
"class_assimp_1_1_ogre_1_1_mesh.html#aa01c19f44253bf83f9387c80775f9c2a",
"class_assimp_1_1_p_l_y_1_1_property_instance.html#ad63a8fe30535fa705a3f1e4b1dae2ba3",
"class_assimp_1_1_s_t_l_importer.html#a60a8fcd73ac5c8f5a88f9b2105051b70",
"class_assimp_1_1_texture_transform_step.html#a1cc7926f68517dcffeaca9c53896180f",
"class_assimp_view_1_1_asset_helper.html#a2c57f88494609ab5c3e9658dd6bb4d5d",
"class_c_a_m_f_importer___node_element.html#a951fe1bf04009761c2a58ab0c7aaebc9",
"class_encoded_input_stream_3_01_u_t_f8_3_4_00_01_memory_stream_01_4.html#a45ae1fa4f5bb8295df234fa3ac91ddef",
"class_generic_pointer.html#a524a9921eff68f389a817a20ca7f1d84",
"class_mesh_splitter.html#a7c565f747d94ea3486e6b51d208b6cf8",
"class_scene_preprocessor_test.html#a2a26c0c745f179cad4cc1f581e8111bb",
"classai__regression__ui_1_1_reg_dialog.html#a4ed8abfb1e69ccef5a35b0affddc07f2",
"classfoo_1_1_streamable_template_in_foo.html#aa6e29a9a298014ce74c65423b6985023",
"classgtest__shuffle__test_1_1_g_test_shuffle_unit_test.html#ab9e25e62817f7cdbd32833f9b2be5794",
"classirr_1_1core_1_1string.html#ac510d6a95d7f2a081741e24e505240ad",
"classjassimp_1_1_ai_quaternion.html#a791c5eb44980e446ebed94508f182bed",
"classo3dgc_1_1_f_i_f_o.html#aa05d298132f5fb453fc1498548620e9b",
"classo3dgc_1_1_vector.html#a9873d14ceaf85568e7454e16f52baa3d",
"classpmx_1_1_pmx_joint.html#a999ab4e3f28866f58d441ec69c48c8ba",
"classpmx_1_1_pmx_vertex_skinning_s_d_e_f.html#a2561b9731bb10734c49a6ebe0e5c4372",
"classtesting_1_1_assertion_result.html#a43ae8a260843ce2ff3dc9af262672b8b",
"classtesting_1_1internal_1_1_const_castable.html",
"classtesting_1_1internal_1_1_unit_test_helper.html#a02602d22fb74566dad78c0c9d4f24e78",
"classut_l_w_s_import_export.html",
"common_8py.html#a8441f667816bce34e6100f88a9ea7dfa",
"deprecated.html",
"functions.html",
"gl_t_f2_asset_8h.html#a8cc0d45355d370cb517da2297320cffcaee3196854ab52e1b24671b5b199fbe16",
"globals_defs_r.html",
"gtest-internal-inl_8h.html#a9bd0caf5d16512de38b39599c13ee634",
"gtest-port_8h.html#af4acf9f78d55f815a18b43786511abef",
"gtest-test-part__test_8cc.html",
"gtest_8h.html#a4638c74d9b32e971f9b321af6fafc2f1",
"gtest__output__test_8py.html#a76e823e0e56e3c25aa8b0aab4431f763",
"gtest__test__utils_8py.html#a530084b4f71f3cba76ea2d360fc9b245",
"gtest__xml__output__unittest___8cc.html#a88d769551f5ca79a6668f6ef64a1abdd",
"jassimp_8cpp.html#abe09814305ea6760436eed3958e6c714",
"material_8h.html#afcd3096d69affba13114cedfc6f9ee6b",
"miniz_8h.html#a5e9d5f0b1abf4368ac4d55b0909dcd99",
"miniz_8h.html#afb730582952b7ceec73d7dc9bf7bef39a844ce7cb26e7e4a0f6321baf37ac66cb",
"namespacematerialgen.html",
"o3dgc_common_8h.html#a406782c830ae9bcd33e748fc8fcc6a3d",
"postprocess_8h.html#a64795260b95f5a4b3f3dc1be4f52e410a9c3de834f0307f31fa2b1b6d05dd592b",
"revision_8h.html#ad78650efa42849c5f86d372f11f26403",
"struct_assimp_1_1_a_c3_d_importer_1_1_object.html",
"struct_assimp_1_1_blender_1_1_image.html#a4b163e9c31ca2ecd393b14fe446ce130",
"struct_assimp_1_1_blender_1_1_material.html#a7ea8a0cbec0440c59b472f96cf6754f2",
"struct_assimp_1_1_blender_1_1signless_3_01char_01_4.html#aca21a157786b3f3261a0ff51d64efcd2",
"struct_assimp_1_1_collada_1_1_mesh.html#a69cc391dc6ca316d5594cdea0b1b938d",
"struct_assimp_1_1_f_i_double_value.html",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_asymmetric_i_shape_profile_def.html#a141f25af30d432bd7768e8636e85fe25",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_crane_rail_a_shape_profile_def.html#af49d0189e6a4dce2c64552ed0f2a4365",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_flow_controller_type.html#afdb76ca347b765d813902d7521512ed2",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_performance_history.html#a160b123f86fc578c6daf42cc9385c513",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_representation_context.html#a169633e4ca71bd2ed7b5d88543b36595",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_surface_style.html#ae8c6dcbfbc48a31ac2fd4e2a6c91f61e",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_air_to_air_heat_recovery.html#aec808c1eb7c73dbdbb14c9e974c452d6",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_civil_element.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_door_type.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_flow_terminal.html#a686c57731fee456d94dbdedf334c903b",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_offset_curve2_d.html#ac2995ee8252892f88a11951302b4fad3",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_rectangle_hollow_profile_def.html#aa370e3114c842186a60509e845247c93",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_stack_terminal_type.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_text_literal.html#aa99ec0c4cc064b1a91df81fa24b7181b",
"struct_assimp_1_1_intern_1_1plus.html",
"struct_assimp_1_1_m_d3_1_1_header.html#aab769a43722595409c38cf86ad649d2e",
"struct_assimp_1_1_m_d_l_1_1_header.html#a4bea744ae09a647581d78a713c6ac783",
"struct_assimp_1_1_obj_file_1_1_material.html#a3b8ba23a8a08e50816d621faa19c339ea0bbfc26fedd8a39879491a7be8b074c1",
"struct_assimp_1_1_open_g_e_x_1_1_transform.html#ab0526974f78f9aa2bab34f8ec43bd1dd",
"struct_assimp_1_1_step_file_1_1action__assignment.html#adf0fd038b936456ccae479d5332afc62",
"struct_assimp_1_1_step_file_1_1bezier__curve.html",
"struct_assimp_1_1_step_file_1_1composite__text.html#ac7e467fcc962fc9737f708b35f056431",
"struct_assimp_1_1_step_file_1_1dimensional__location__with__path.html#a5d4f1c1db33310b9b819a7870d849cb2",
"struct_assimp_1_1_step_file_1_1extruded__face__solid__with__trim__conditions.html#a1876e9c36503c1f43c132a8c2a8ce753",
"struct_assimp_1_1_step_file_1_1light__source__directional.html#abe9e4e8df84809050c86efc459af5c38",
"struct_assimp_1_1_step_file_1_1personal__address.html",
"struct_assimp_1_1_step_file_1_1radioactivity__measure__with__unit.html#ab9987702af4a18e4c9906a7f4b0313ae",
"struct_assimp_1_1_step_file_1_1si__pressure__unit.html",
"struct_assimp_1_1_step_file_1_1surface__style__fill__area.html#a28322a83118a73b80c19da8d098d5aba",
"struct_assimp_1_1_step_file_1_1vertex.html",
"struct_base_reader_handler.html#a8302c755dd3560c8c5bac99162c28214",
"struct_face_with_smoothing_group.html#a686bc8272adeb1b5c376483ebfab3ec1",
"struct_transcoder_3_01_encoding_00_01_encoding_01_4.html",
"structai_material.html#af72a124ef3c98d8bc65b461dbd286e06",
"structassimp_1_1material_1_1ai_material_property.html#a12b6a483209cee22013648d1a4388259",
"structgl_t_f2_1_1_node.html#a5b0129c850c8a11d4b87d800f9d654fa",
"structgl_t_f_1_1_mesh_1_1_primitive_1_1_attributes.html#a9307947d02709e988f7426f91c519db8",
"structmz__zip__archive__file__stat.html#ae2ac087fa11585219308de1677000ab3",
"structtesting_1_1gtest__printers__test_1_1_foo.html",
"types_8h.html#ae4271f61a7c06cd4770fc3e11f58f9c6",
"ut_metadata_8cpp.html#a3e2c9f52d9c1bf275a5f01fa0c87f3b4",
"versiongenerate_8py.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';